from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Float, String, Boolean, Int, File

Motiph_V0_1_0 = CommandToolBuilder(tool="motiph", base_command=["motiph"], inputs=[ToolInput(tag="in_bg", input_type=Float(optional=True), prefix="--bg", doc=InputDocumentation(doc="(default=1.0)")), ToolInput(tag="in_column_freqs", input_type=String(optional=True), prefix="--column-freqs", doc=InputDocumentation(doc="|empirical (default=simulated)")), ToolInput(tag="in_fg", input_type=Float(optional=True), prefix="--fg", doc=InputDocumentation(doc="(default=1.0)")), ToolInput(tag="in_gap", input_type=String(optional=True), prefix="--gap", doc=InputDocumentation(doc="| fixed | wildcard | minimum (default=skip)")), ToolInput(tag="in_gap_cost", input_type=Float(optional=True), prefix="--gap-cost", doc=InputDocumentation(doc="(default=0.0)")), ToolInput(tag="in_hb", input_type=Boolean(optional=True), prefix="--hb", doc=InputDocumentation(doc="(defalut false)")), ToolInput(tag="in_model", input_type=Int(optional=True), prefix="--model", doc=InputDocumentation(doc="|single|average|jc|k2|f81|f84|hky|tn (default=f81)")), ToolInput(tag="in_pur_pyr", input_type=Float(optional=True), prefix="--pur-pyr", doc=InputDocumentation(doc="(default=1.0)")), ToolInput(tag="in_transition_transversion", input_type=Float(optional=True), prefix="--transition-transversion", doc=InputDocumentation(doc="(default=0.5)")), ToolInput(tag="in_ustar", input_type=String(optional=True), prefix="--ustar", doc=InputDocumentation(doc="(default=all)")), ToolInput(tag="in_b_file", input_type=File(optional=True), prefix="--bfile", doc=InputDocumentation(doc="(default from motif file)")), ToolInput(tag="in_no_q_value", input_type=Boolean(optional=True), prefix="--no-qvalue", doc=InputDocumentation(doc="(default false)")), ToolInput(tag="in_norc", input_type=Boolean(optional=True), prefix="--norc", doc=InputDocumentation(doc="(default false)")), ToolInput(tag="in_flip", input_type=String(optional=True), prefix="--flip", doc=InputDocumentation(doc="|false (Allow BLS matches in reverse. Default: true)")), ToolInput(tag="in_bls_dist", input_type=Int(optional=True), prefix="--bls-dist", doc=InputDocumentation(doc="(Distance threshold for BLS. Default:20)")), ToolInput(tag="in_max_stored_scores", input_type=Boolean(optional=True), prefix="--max-stored-scores", doc=InputDocumentation(doc="(Default 100,000)")), ToolInput(tag="in_print_trimmed_tree", input_type=Float(optional=True), prefix="--print-trimmed-tree", doc=InputDocumentation(doc="(default=0.1)")), ToolInput(tag="in_output_p_thresh", input_type=Float(optional=True), prefix="--output-pthresh", doc=InputDocumentation(doc="(default 1e-4)")), ToolInput(tag="in_output_q_thresh", input_type=Float(optional=True), prefix="--output-qthresh", doc=InputDocumentation(doc="(default 1.0)")), ToolInput(tag="in_seed", input_type=String(optional=True), prefix="--seed", doc=InputDocumentation(doc="(default from time())")), ToolInput(tag="in_text", input_type=Boolean(optional=True), prefix="--text", doc=InputDocumentation(doc="(default false)")), ToolInput(tag="in_alignment", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_tree", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_motif", input_type=String(), position=2, doc=InputDocumentation(doc=""))], outputs=[], container="quay.io/biocontainers/meme:5.3.0--py38pl526hc1f1133_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Motiph_V0_1_0().translate("wdl")

